#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private TREMPER.TradePic[] cacheTradePic;

		
		public TREMPER.TradePic TradePic(bool tradeScreenshot, NinjaTrader.NinjaScript.Indicators.TREMPER.TradePic.Targets chartOrScreen, int tradeScreenshotBarDelay, string exportLocation, bool exportToTremperCOM, string fileLabel)
		{
			return TradePic(Input, tradeScreenshot, chartOrScreen, tradeScreenshotBarDelay, exportLocation, exportToTremperCOM, fileLabel);
		}


		
		public TREMPER.TradePic TradePic(ISeries<double> input, bool tradeScreenshot, NinjaTrader.NinjaScript.Indicators.TREMPER.TradePic.Targets chartOrScreen, int tradeScreenshotBarDelay, string exportLocation, bool exportToTremperCOM, string fileLabel)
		{
			if (cacheTradePic != null)
				for (int idx = 0; idx < cacheTradePic.Length; idx++)
					if (cacheTradePic[idx].TradeScreenshot == tradeScreenshot && cacheTradePic[idx].ChartOrScreen == chartOrScreen && cacheTradePic[idx].TradeScreenshotBarDelay == tradeScreenshotBarDelay && cacheTradePic[idx].ExportLocation == exportLocation && cacheTradePic[idx].ExportToTremperCOM == exportToTremperCOM && cacheTradePic[idx].FileLabel == fileLabel && cacheTradePic[idx].EqualsInput(input))
						return cacheTradePic[idx];
			return CacheIndicator<TREMPER.TradePic>(new TREMPER.TradePic(){ TradeScreenshot = tradeScreenshot, ChartOrScreen = chartOrScreen, TradeScreenshotBarDelay = tradeScreenshotBarDelay, ExportLocation = exportLocation, ExportToTremperCOM = exportToTremperCOM, FileLabel = fileLabel }, input, ref cacheTradePic);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.TREMPER.TradePic TradePic(bool tradeScreenshot, NinjaTrader.NinjaScript.Indicators.TREMPER.TradePic.Targets chartOrScreen, int tradeScreenshotBarDelay, string exportLocation, bool exportToTremperCOM, string fileLabel)
		{
			return indicator.TradePic(Input, tradeScreenshot, chartOrScreen, tradeScreenshotBarDelay, exportLocation, exportToTremperCOM, fileLabel);
		}


		
		public Indicators.TREMPER.TradePic TradePic(ISeries<double> input , bool tradeScreenshot, NinjaTrader.NinjaScript.Indicators.TREMPER.TradePic.Targets chartOrScreen, int tradeScreenshotBarDelay, string exportLocation, bool exportToTremperCOM, string fileLabel)
		{
			return indicator.TradePic(input, tradeScreenshot, chartOrScreen, tradeScreenshotBarDelay, exportLocation, exportToTremperCOM, fileLabel);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.TREMPER.TradePic TradePic(bool tradeScreenshot, NinjaTrader.NinjaScript.Indicators.TREMPER.TradePic.Targets chartOrScreen, int tradeScreenshotBarDelay, string exportLocation, bool exportToTremperCOM, string fileLabel)
		{
			return indicator.TradePic(Input, tradeScreenshot, chartOrScreen, tradeScreenshotBarDelay, exportLocation, exportToTremperCOM, fileLabel);
		}


		
		public Indicators.TREMPER.TradePic TradePic(ISeries<double> input , bool tradeScreenshot, NinjaTrader.NinjaScript.Indicators.TREMPER.TradePic.Targets chartOrScreen, int tradeScreenshotBarDelay, string exportLocation, bool exportToTremperCOM, string fileLabel)
		{
			return indicator.TradePic(input, tradeScreenshot, chartOrScreen, tradeScreenshotBarDelay, exportLocation, exportToTremperCOM, fileLabel);
		}

	}
}

#endregion
